edu.csus.ecs.pc2.api

## Interface ISite

-     public interface ISite

  This interface describes the PC2 API view of a contest Site. Each site in a contest has a unique number (which never changes), and a unique name (which can be changed by the Contest Administrator).

  This documentation describes the current draft of the PC2 API, which is subject to change.

  Version:
    $Id: ISite.java 1303 2008-02-20 03:59:22Z clevengr $
  Author:
    pc2@ecs.csus.edu

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Check whether this Site is the same as some other Site.
    `String` | `getName()` Get the name of this site.
    `int` | `getNumber()` Get the number of this site.
    `int` | `hashCode()` Get the hashcode associated with this client.

- - ### Method Detail

    - #### getName

          String getName()

      Get the name of this site.
      Returns:
        A String containing the site name.

    - #### getNumber

          int getNumber()

      Get the number of this site.
      Returns:
        An integer giving the site number.

    - #### equals

          boolean equals(Object obj)

      Check whether this Site is the same as some other Site.

      Determination of whether two Sites are equal is based on whether they refer to the same Site as originally created in PC2 by the Contest Administrator. Note in particular that subsequent changes to a Site made by the Contest Administrator (for example, changes to the Site name) do not affect the result of the `equals()` method; if this Site refers to the same Site as the one indicated by the specified parameter, this method will return true regardless of whether the internal contents of the two Site objects is identical or not.

      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - the Site which is to be compared with this Site for equality.
      Returns:
        True if the specified object refers to the same Site as this Site (regardless of the actual content of the two Sites).

    - #### hashCode

          int hashCode()

      Get the hashcode associated with this client.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        An integer hashcode for this object.